org.eclipse.mat.ui.actions

## Class ImportReportAction

- java.lang.Object
- - Action
  - - org.eclipse.mat.ui.actions.ImportReportAction

    public class ImportReportAction
    extends Action

### Constructor Summary

Constructors
Constructor and Description
`ImportReportAction(MultiPaneEditor editor)`
`ImportReportAction(MultiPaneEditor editor, File reportZipFile)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `openReport(MultiPaneEditor editor, File reportZipFile)`
`void` `run()`
`static IResult` `unzipAndOpen(File reportZipFile)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImportReportAction

    public ImportReportAction(MultiPaneEditor editor)

#### ImportReportAction

    public ImportReportAction(MultiPaneEditor editor,
                              File reportZipFile)

### Method Detail

#### run

    public void run()

#### openReport

    public static void openReport(MultiPaneEditor editor,
                                  File reportZipFile)
                           throws IOException

Throws:
  `IOException`

#### unzipAndOpen

    public static IResult unzipAndOpen(File reportZipFile)
                                throws IOException

Throws:
  `IOException`